> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riyadhparking.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vioaltion



## OpenAPI

````yaml POST /violation/public/create
openapi: 3.0.1
info:
  title: Remat Application
  version: v1
servers:
  - url: /spsr-api
    description: Default Server URL
security:
  - Authorization: []
tags:
  - name: Authentication
    description: Authentication endpoints
  - name: Site Controller
    description: Handles site-related operations
  - name: Violation Controller
    description: Handles violation-related operations
  - name: Ticket Controller
    description: Handles ticket-related operations
  - name: Ticket Guest Controller
    description: Handles guest ticket-related operations
paths:
  /violation/public/create:
    post:
      tags:
        - Violation Controller
      operationId: createViolation
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ViolationCreationModel'
      responses:
        '200':
          description: Violation successfully created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/BaseResponseViolationCreationResponseModel
components:
  schemas:
    ViolationCreationModel:
      type: object
      required:
        - zoneId
        - plateNumber
        - plateType
        - violationType
        - violationLocation
        - latitude
        - longitude
      properties:
        id:
          type: string
          format: uuid
        zoneId:
          type: string
          format: uuid
        plateNumber:
          type: string
        plateType:
          type: string
        violationDate:
          type: string
          format: date-time
        violationLocation:
          type: string
          maxLength: 2000
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        violationEmpCode:
          type: string
        insertedUser:
          type: string
        imageDescription:
          type: string
        image:
          type: string
          format: binary
        violationStatus:
          type: string
          enum:
            - INITIATED
            - RM_NATIONAL_ID
            - RM_WARNING_SMS
            - RM_VIOLATION
            - RM_IMAGE
            - RM_BILL
            - COMPLETED
        violationType:
          type: string
          enum:
            - NO_TICKET
            - TICKET_ENDED
            - USER_EXCEED_PARKING_TIME
            - WRONG_PARKING
            - RESERVED_PARKING
            - OBS_CLS_PARKING
            - EMRG_PARKING
            - ENT_EXT_PARKING
            - PROH_PARKING
        isSaudi:
          type: boolean
    BaseResponseViolationCreationResponseModel:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        data:
          $ref: '#/components/schemas/ViolationCreationResponseModel'
    ViolationCreationResponseModel:
      type: object
      properties:
        id:
          type: string
          format: uuid
        canTow:
          type: boolean
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT

````